SET FOREIGN_KEY_CHECKS = 0;
TRUNCATE sesiones_tratamientos;
TRUNCATE sesiones;
TRUNCATE tratamientos;
TRUNCATE expedientes;
TRUNCATE clientes;
SET FOREIGN_KEY_CHECKS = 1;

-- vistas 
select `clinica_intranet`.`cliente`.`pkCliente` AS `id`,`clinica_intranet`.`cliente`.`folio` AS `folio`,`clinica_intranet`.`cliente`.`rfc` AS `rfc`,`clinica_intranet`.`cliente`.`razonSocial` AS `razonSocial`,`clinica_intranet`.`cliente`.`calle` AS `calle`,`clinica_intranet`.`cliente`.`celular` AS `celular`,`clinica_intranet`.`cliente`.`email` AS `email`,`clinica_intranet`.`cliente`.`expediente` AS `expediente`,`clinica_intranet`.`cliente`.`active` AS `estatus`,`clinica_intranet`.`cliente`.`fecha_registro` AS `fecha_registro`,`clinica_intranet`.`cliente`.`fecha_modificacion` AS `fecha_modificacion` from `clinica_intranet`.`cliente` where !(`clinica_intranet`.`cliente`.`pkCliente` in (select `laravel-vuetify`.`clientes`.`id` from `laravel-vuetify`.`clientes`))

-- consulta
insert into 
clientes(
id,
folio,
rfc,
razonSocial,
celular,
email,
expediente,
estatus,
fecha_registro,
fecha_modificacion
)
select 
id,
folio,
rfc,
razonSocial,
celular,
email,
expediente,
estatus,
fecha_registro,
fecha_modificacion
from cliente_db_intra


select 
u.`status`,
concat('insert into users_sucursales(user_id,sucursal_id) values(',u.id,',',aes.id_sucursal,');') 
from `user` u
INNER JOIN asignacion_datos_personales_user au on u.id=au.id_user
inner join cliente c on au.pkCliente=c.pkCliente
inner join asignacion_especialistas_sucursales aes on c.pkCliente=aes.pkCliente
inner JOIN auth_assignment aa on u.id=aa.user_id
where u.`status`=1
and c.pkCliente < 34262


// error en los id de clientes
// corregir valores 
-- update sesiones set preferencia_terepista='SI' where preferencia_terepista=1;
-- update sesiones set preferencia_terepista='NO' where preferencia_terepista=2;
-- update sesiones set vale='NO' where vale=2;
-- update sesiones set vale='SI' where vale=1;
-- update sesiones set usa_expediente='SI' where usa_expediente='Si';
-- update sesiones set usa_expediente='NO' where usa_expediente <> 'SI';
-- update sesiones set asistencia_cumplida='NO' where asistencia_cumplida not in('SI','NO');

select
CONCAT(
'insert into sesiones(id,sucursal_id, cliente_id, terapista_id, duracion, fecha_asignada, observaciones, asistencia_cumplida, fecha_registro, fecha_modificacion, preferencia_terepista, vale, asistencia, usa_expediente, aprobado
) values(',
s.id_sesion,
',',
e.id_sucursal,
',',
c.pkCliente,
',',
ap.id_user,
',''',
s.duracion,
''',''',
s.fecha_asignada,
''',''',
COALESCE(s.observaciones,''),
''',''',
s.asistencia,
''',''',
s.fecha_registro,
''',''',
s.fecha_modificacion,
''',''',
(
	case 
	preferencia_terepista when 1 then 'SI'
	else 'NO'
	end
),
''',''',
(
	case 
	vale when 1 then 'SI'
	else 'NO'
	end
),
''',''',
(
	case 
	asistencia_cumplida when 'SI' then 'SI'
	else 'NO'
	end
),
''',''',
(
	case 
	usa_expediente when 'Si' then 'SI'
	else 'NO'
	end
),
''',''',
'SI',
''');'
)
from sesiones s
inner join expedientes e on s.id_expediente=e.id_expediente
inner join cliente c on c.pkCliente=e.id_cliente
inner join asignacion_datos_personales_user ap on s.id_terapista=ap.pkCliente
and c.pkCliente in (
SELECT id from vclientes
)
and s.id_sesion > 28739



select 
CONCAT(
'insert into sesiones_tratamientos(sesion_id,tratamiento_id) values(',
s.id_sesion,
',',
te.id_tratamiento,
');'
)
from sesiones s
inner join expedientes e on s.id_expediente=e.id_expediente
INNER JOIN tratamientos_expedientes te on e.id_expediente=te.id_expediente
where s.id_sesion in(SELECT id from vsessiones)
and s.id_sesion > 28739


select 
CONCAT(
'insert into tratamientos(
id,
folio,
tratamiento,
precio,
tiene_iva,
iva,
tiene_ieps,
ieps,
desc_tratamiento,
sesiones,
duracion,
estatus,
fecha_registro,
fecha_modificacion,
tipo_tratamiento_id,
secuencia,
dias
) values(',
pkTratamiento,
',''',
folio,
''',''',
tratamiento,
''',',
precio,
',''si'',',
0,
',''si'',',
0,
',''',
''',',
sesiones,
',''',
duracion,
''',''',
active,
''',''',
fecha_registro,
''',''',
fecha_modificacion,
''',',
id_tipo_tratamiento,
',''',
secuencia,
''',',
dias,
');'
)
from tratamiento